Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005255OCamlOCaml generalpublic2011-04-24 16:582012-06-26 18:01
Reporterglondu 
Assigned Todoligez 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.1+dev 
Target VersionFixed in Version4.00.0+dev 
Summary0005255: natdynlink detection on powerpc and hurd
DescriptionNative dynlink seems to work on powerpc and hurd... is it expected? Attached is a patch to the configure script for that.
TagsNo tags attached.
Attached Filespatch file icon 0008-Natdynlink-works-on-powerpc-and-hurd-i386.patch [^] (1,246 bytes) 2011-04-24 16:58 [Show Content]
patch file icon 0007-Natdynlink-works-on-powerpc-hurd-i386-and-sparc.patch [^] (1,498 bytes) 2012-06-21 17:22 [Show Content]

- Relationships

-  Notes
(0007597)
doligez (administrator)
2012-06-21 17:17

Your patch not only adds lines for Hurd and powerpc, but also is removing the line for powerpc64. Is that on purpose?
(0007599)
glondu (reporter)
2012-06-21 17:22

No. Meanwhile, I've seen $host being sparc64-unknown-linux-gnu on a sparc machine, where natdynlink works. Attached is an updated patch.
(0007611)
doligez (administrator)
2012-06-26 18:01

Applied the second patch to 4.00 (commit 12645) and trunk (commit 12647).

- Issue History
Date Modified Username Field Change
2011-04-24 16:58 glondu New Issue
2011-04-24 16:58 glondu File Added: 0008-Natdynlink-works-on-powerpc-and-hurd-i386.patch
2011-04-29 15:39 doligez Status new => acknowledged
2012-06-21 17:17 doligez Note Added: 0007597
2012-06-21 17:20 doligez Assigned To => doligez
2012-06-21 17:20 doligez Status acknowledged => feedback
2012-06-21 17:22 glondu Note Added: 0007599
2012-06-21 17:22 glondu Status feedback => assigned
2012-06-21 17:22 glondu File Added: 0007-Natdynlink-works-on-powerpc-hurd-i386-and-sparc.patch
2012-06-26 18:01 doligez Note Added: 0007611
2012-06-26 18:01 doligez Status assigned => closed
2012-06-26 18:01 doligez Resolution open => fixed
2012-06-26 18:01 doligez Fixed in Version => 4.00.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker